Main Page Widgets Namespaces Book

# Gtk::FileChooserWidget Class Reference
[Widgets]

Inheritance diagram for Gtk::FileChooserWidget:

[legend]

List of all members.

## Detailed Description

File chooser widget that can be embedded in other widgets.

FileChooserWidget is a widget suitable for selecting files. It is the main building block of a Gtk::FileChooserDialog. Most applications will only need to use the latter; you can use FileChooserWidget as part of a larger window if you have special needs.

## Public Member Functions

| FileChooserWidget (FileChooserAction action, const Glib::ustring& backend)
| FileChooserWidget (FileChooserAction action)
| Creates a file chooser widget that can be embedded in other widgets.
| FileChooserWidget ()
const GtkFileChooserWidget* | gobj () const
| Provides access to the underlying C GtkObject.
GtkFileChooserWidget* | gobj ()
| Provides access to the underlying C GtkObject.
virtual | ~FileChooserWidget ()

## Related Functions

(Note that these are not member functions.)
Gtk::FileChooserWidget* | wrap (GtkFileChooserWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::FileChooserWidget::~FileChooserWidget | ( |  | ) | `[virtual]`

Gtk::FileChooserWidget::FileChooserWidget | ( |  | ) |

Gtk::FileChooserWidget::FileChooserWidget | ( | FileChooserAction | action | ) | `[explicit]`

Creates a file chooser widget that can be embedded in other widgets.

Creates a new FileChooserWidget. This is a file chooser widget that can be embedded in custom windows, and it is the same widget that is used by Gtk::FileChooserDialog.

Parameters:

  | action | Open or save mode for the widget

Since gtkmm 2.4:

Gtk::FileChooserWidget::FileChooserWidget | ( | FileChooserAction | action,
|  | const Glib::ustring & | backend |
| ) |  |  | `[explicit]`

## Member Function Documentation

const GtkFileChooserWidget* Gtk::FileChooserWidget::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

GtkFileChooserWidget* Gtk::FileChooserWidget::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

## Friends And Related Function Documentation

Gtk::FileChooserWidget* wrap | ( | GtkFileChooserWidget * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- filechooserwidget.h